/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2012 Christian Hesse
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef __SYSTEMD_PROXY_H__
#define __SYSTEMD_PROXY_H__

#include <glib.h>

G_BEGIN_DECLS

typedef struct _SystemdProxy SystemdProxy;

SystemdProxy *systemd_proxy_new (void);
void          systemd_proxy_free (SystemdProxy *proxy);
gboolean      systemd_proxy_can_method (SystemdProxy *proxy, gboolean *can_method, const char *method, GError **error);
gboolean      systemd_proxy_can_restart (SystemdProxy *proxy, gboolean *can_restart, GError **error);
gboolean      systemd_proxy_can_shutdown (SystemdProxy *proxy, gboolean *can_shutdown, GError **error);
gboolean      systemd_proxy_can_suspend (SystemdProxy *proxy, gboolean *can_suspend, GError **error);
gboolean      systemd_proxy_can_hibernate (SystemdProxy *proxy, gboolean *can_hibernate, GError **error);
gboolean      systemd_proxy_method (SystemdProxy *proxy, const char *method, GError **error);
gboolean      systemd_proxy_restart (SystemdProxy *proxy, GError **error);
gboolean      systemd_proxy_shutdown (SystemdProxy *proxy, GError **error);
gboolean      systemd_proxy_suspend (SystemdProxy *proxy, GError **error);
gboolean      systemd_proxy_hibernate (SystemdProxy *proxy, GError **error);

G_END_DECLS

#endif  /* __SYSTEMD_PROXY_H__ */
